Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hssf.record
Class IndexRecord

    java.lang.Object
      org.apache.poi.hssf.record.RecordBase
          org.apache.poi.hssf.record.Record
              org.apache.poi.hssf.record.StandardRecord
                  org.apache.poi.hssf.record.IndexRecord

    public class IndexRecord

extends StandardRecord

Title: Index Record (0x020B)

Description: Occurs right after BOF, tells you where the DBCELL records are for a sheet Important for locating cells

NOT USED IN THIS RELEASE REFERENCE: PG 323 Microsoft Excel 97 Developer's Kit (ISBN: 1-57231-498-2)

Author:
  Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static short` | `sid`

Constructor Summary
`IndexRecord()`
`IndexRecord(RecordInputStream in)`

Method Summary
`void` | `addDbcell(int cell)`
`java.lang.Object` | `clone()`
`int` | `getDbcellAt(int cellnum)`
`int` | `getFirstRow()`
`int` | `getLastRowAdd1()`
`int` | `getNumDbcells()`
`static int` | `getRecordSizeForBlockCount(int blockCount)`
`short` | `getSid()` return the non static version of the id for this record.
`void` | `serialize(LittleEndianOutput out)` Write the data content of this BIFF record.
`void` | `setDbcell(int cell, int value)`
`void` | `setFirstRow(int row)`
`void` | `setLastRowAdd1(int row)`
`java.lang.String` | `toString()` get a string representation of the record (for biffview/debugging)

Methods inherited from class org.apache.poi.hssf.record.StandardRecord
`getRecordSize, serialize`

Methods inherited from class org.apache.poi.hssf.record.Record
`cloneViaReserialise, serialize`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

Constructor Detail

### IndexRecord

    public IndexRecord()

### IndexRecord

    public IndexRecord(RecordInputStream in)

Method Detail

### setFirstRow

    public void setFirstRow(int row)

### setLastRowAdd1

    public void setLastRowAdd1(int row)

### addDbcell

    public void addDbcell(int cell)

### setDbcell

    public void setDbcell(int cell,
                          int value)

### getFirstRow

    public int getFirstRow()

### getLastRowAdd1

    public int getLastRowAdd1()

### getNumDbcells

    public int getNumDbcells()

### getDbcellAt

    public int getDbcellAt(int cellnum)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public void serialize(LittleEndianOutput out)

  Description copied from class: `StandardRecord`
  Write the data content of this BIFF record. The 'ushort sid' and 'ushort size' header fields have already been written by the superclass.
  The number of bytes written must equal the record size reported by `RecordBase.getRecordSize()`} minus four ( record header consiting of a 'ushort sid' and 'ushort reclength' has already been written by thye superclass).

### getRecordSizeForBlockCount

    public static int getRecordSizeForBlockCount(int blockCount)

  Returns:
    the size of an INdexRecord when it needs to index the specified number of blocks

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD